/* Custom Styles for Woocommerce */

/** Checkout page **/
.woocommerce-checkout-review-order-table thead {
    display: none;
}

.woocommerce-checkout-review-order-table th,
.woocommerce-checkout-review-order-table td {
    padding: 6px 0;
}

.product-quantity {
    display: none;
}

.woocommerce-checkout-review-order-table {
    border: none;
}

.cf-turnstile {
    margin: 15px 0;
}

.woocommerce-checkout-review-order-table .cart-subtotal {
    display: none;
}

.woocommerce-checkout-review-order-table tfoot tr.cart-subtotal {
    display: none !important;
}

.wc_payment_methods,
.wc_payment_method,
.payment_box {
    margin: 0;
    padding-left: 0;
    padding-right: 0;
}

.wc_payment_methods {
    list-style: none;
}

.woocommerce-billing-fields>h3 {
    display: none;
}

.woocommerce-checkout section {
    padding-top: 0;
}

#order_review {
    gap: 0;
}

#order_review br {
    display: none;
}

#order_review #cf-turnstile-woo-checkout {
    margin-bottom: 0;
}

#order_review br,
#order_review #payment {
    padding-top: 0;
    padding-bottom: 0;
}

#order_review #payment,
.woocommerce-checkout .woocommerce .login-div,
.woocommerce-checkout .woocommerce form .brxe-container {
    padding: 0;
}

.woocommerce-checkout .woocommerce legend {
    color: var(--bricks-color-vnjgsm) !important;
}

/* vracející se zákazníci */
/* Checkout login – defaultně skrytý */
/* Checkout login box – defaultně skrytý */
.brxe-woocommerce-checkout-login .login-div {
    display: none;
}

/* Zobrazený stav */
.brxe-woocommerce-checkout-login .login-div.is-visible {
    display: block;
}


/* Checkout – minimal */
.woocommerce-checkout-review-order-table thead {
    display: none;
}

.woocommerce-checkout-review-order-table th,
.woocommerce-checkout-review-order-table td {
    padding: 6px 0;
}

.woocommerce-checkout-review-order-table {
    border: none;
}

.woocommerce-checkout-review-order-table .cart-subtotal {
    display: none !important;
}

.product-quantity {
    display: none;
}

.cf-turnstile {
    margin: 15px 0;
}

.woocommerce-privacy-policy-text {
    display: none;
}

.cpsw-save-cards {
    display: none;
}

/* trochu menší mezery kolem plateb */
.wc_payment_methods,
.wc_payment_method,
.payment_box,
#payment {
    margin-bottom: 0;
}

.wc_payment_methods {
    list-style: none;
    padding-left: 0;
}

/* checkout bez zbytečného druhého sloupce */
#customer_details .col-2 {
    display: none;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper {
    display: flex;
    flex-direction: column;
    gap: 15px;

    input {
        padding: 2px 15px !important;
    }
}

#brxe-ztojjj {
    row-gap: var(--gap-05x) !important;
}

.woocommerce-checkout h1 {
    font-size: clamp(1.875rem, 1.7045rem + 0.6818vi, 2.25rem);
}

/** My account pages **/

body.page-id-10 {
    .woocommerce-MyAccount-navigation {
        .woocommerce-MyAccount-navigation-link--edit-address {
            display: none;
        }
    }
}

/** My courses loop item **/
body.page-id-10 {

    #content {
        padding-top: var(--gap-3x);
        padding-bottom: var(--gap-3x);
        /*
        padding-left: var(--gap-2x);
        padding-right: var(--gap-2x);
        */
    }

    .llms-course-list:before {
        display: none;
    }

    .llms-course-list {
        margin: 0;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: auto;
        column-gap: var(--gap-standard);
        row-gap: var(--gap-standard);

        .llms-loop-item {
            border-color: var(--bricks-color-vnjgsm);
            border-radius: var(--gap-20);
            overflow: hidden;
        }

        .llms-loop-item-content {
            background-color: var(--bricks-color-vnjgsm);
            color: var(--bricks-color-ikshxl);
            border-radius: 0;
            border: none;
            margin: 0;
            box-shadow: 2px 2px 15px 0px rgb(0, 0, 0, 0.2);

            .llms-loop-item-footer {
                display: none;
            }
        }

        .llms-course-list.cols-3 .llms-loop-item {
            width: 100%;
        }

        .llms-loop-item-content h4.llms-loop-title,
        .llms-loop-item-content .llms-meta,
        .llms-loop-item-content .llms-author {
            color: var(--bricks-color-ikshxl);
        }

        .llms-loop-item-content h4.llms-loop-title:hover {
            color: var(--bricks-color-ikshxl);
        }

        .llms-progress {
            .progress-bar-complete {
                background-color: #008900;
            }
        }

    }

}

@media (max-width: 768px) {

    body.page-id-10 {
        #content {
            padding-top: var(--gap-standard);
            padding-bottom: var(--gap-standard);
            /*
            padding-left: var(--gap-standard);
            padding-right: var(--gap-standard);
            */
        }

        .llms-course-list {
            grid-template-columns: 1fr 1fr;
        }

    }
}

@media (max-width: 468px) {

    body.page-id-10 {
        .llms-course-list {
            grid-template-columns: 1fr;
        }
    }
}